"use client";
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var tocBase = require('./toc-base.js');

function TocFooterWrapper({ lastModified, editPath, githubBaseUrl, copyButtonComponent }) {
    const showEdit = githubBaseUrl && editPath;
    return (jsxRuntime.jsxs("div", { className: "flex flex-col gap-y-2 items-start m-4", children: [jsxRuntime.jsx(tocBase.LastUpdatedDate, { date: lastModified }), copyButtonComponent, showEdit && jsxRuntime.jsx(tocBase.EditOnGitHub, { url: `${githubBaseUrl}${editPath}` })] }));
}

exports.TocFooterWrapper = TocFooterWrapper;
